Name:          libebur128
Version:       1.2.6
Release:       1mamba
Summary:       A library implementing the EBU R128 loudness standard
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jiixyj/libebur128
## GITSOURCE https://github.com/jiixyj/libebur128.git v1.2.4
Source:        https://github.com/jiixyj/libebur128.git/v%{version}/libebur128-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library implementing the EBU R128 loudness standard.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libebur128.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/ebur128.h
#%{_libdir}/libebur128.a
%{_libdir}/libebur128.so
%{_libdir}/pkgconfig/libebur128.pc
%doc README.md

%changelog
* Mon Feb 15 2021 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Mon Oct 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1mamba
- package created using the webbuild interface
